%define upstream_name    Workflow
%define upstream_version 1.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pull IDs from databases that autogenerate them
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::Factory)
BuildRequires: perl(Class::Observable)
BuildRequires: perl(DBD::Mock)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Data::UUID)
BuildArch: noarch

%description
Overview
    This is a standalone workflow system. It is designed to fit into your
    system rather than force your system to fit to it. You can save
    workflow information to a database or the filesystem (or a custom
    storage). The different components of a workflow system can be included
    separately as libraries to allow for maximum reusibility.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.420.0-2.mga6
+ Revision: 1035700
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.420.0-1.mga6
+ Revision: 924973
- imported package perl-Workflow


* Sun Jan 17 2016 buchan 1.42-1mga
- New upstream version 1.42

* Sun May 10 2015 buchan 1.41-1mga
- initial mageia release, generated with cpan2dist
